TAAS - Feature #35

Ancillary Service
08/30/2022 12:59 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/30/2022
Priority: Normal Due date: 09/01/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 22:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 48.00 Code Reviewed By:  Shanto Shaji
Module: Ancillary Service

Description

Coding Ancillary Service

Some Changes
1) GUI Heading Change - Ancillary Service(Free)

)

) Remarks set 2 Row

) Add Status

5) Group not mandatory

2
3
4

Remove Service ltem and Consider Eqaution From GUI

History

#1 - 08/30/2022 01:03 PM - Anu Priya
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 08/30/2022 01:41 PM - Anil KV

6) Remove Group and Service Item from List
7) Add Status in list

#3 - 08/30/2022 02:42 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.htm| added

- File sql.sql added

#4 - 08/30/2022 02:58 PM - Anil KV
- File deleted (2-tsModel.ts)

#5 - 08/30/2022 02:58 PM - Anil KV
- File deleted (1-CsModel.cs)

#6 - 08/30/2022 02:58 PM - Anil KV
- File deleted (3-CsFile.cs)

#7 - 08/30/2022 02:58 PM - Anil KV
- File deleted (4-CsControllerFile.cs)

#8 - 08/30/2022 02:59 PM - Anil KV
- File deleted (5-TsFile.ts)

#9 - 08/30/2022 02:59 PM - Anil KV
- File deleted (6-HtmliFile.htmi)

#10 - 08/30/2022 02:59 PM - Anil KV
- File deleted (sql.sql)

#11 - 08/30/2022 02:59 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmlFile.htm| added

- File sql.sql added

#12 - 09/14/2022 05:21 PM - Anu Priya

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 48.00

#13 - 09/28/2022 04:59 PM - Shanto Shaji

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Shanto Shaji

- Code Reviewed By set to Shanto Shaji

In Edit Mode service Autocomplete Is Not Working

#14 - 12/16/2022 11:18 AM - Amal Cyriac
- Tested By changed from Shanto Shaji to Amal Cyriac

ISSUE FOUND *****
1. SET MANDATORY FIELDS RED AND REQUIRED
2. FIX AUTO COMPLETION BUGS

#15 - 12/16/2022 11:30 AM - Amal Cyriac

ISSUE FOUND *****
1. SET MANDATORY FIELDS RED AND REQUIRED
2. FIXAUTO COMPLETION BUGS

#16 - 12/21/2022 03:38 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 06/27/2023 06:17 PM - unnikannan S
- Assignee changed from Anu Priya to Junaid M

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.ADD BLANK OPTION IN SERVICE GROIP

#18 - 09/22/2023 04:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

1.NOT CLEARING DATA WHILE CLEARING CODE OR NAME OF ANCILLARY SERVICE
2.ADD CODE WHILE SEARCHING SERVICES

#19 - 09/23/2023 12:49 PM - unnikannan S

unnikannan S wrote in #note-18:
ISSUE FOUNDED

1.CONNECT MODULE WITH PRINT
2.ADD CODE WHILE SEARCHING SERVICES

#20 - 10/17/2023 03:05 PM - Anil KV

- Assignee changed from Junaid M to Baseem Shan

#21 - 10/31/2023 01:04 PM - Junaid M

- Assignee changed from Baseem Shan to Shahil Haris

#22 - 11/01/2023 05:24 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#23 - 11/02/2023 10:42 AM - unnikannan S
TESTING DONE

#24 - 11/02/2023 03:41 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEARING ALL DATA WHILE ADDING BLANK OPTION FROM SERVICE GROUP

#25 - 11/06/2023 11:32 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 11/06/2023 11:39 AM - unnikannan S
TESTING DONE

#27 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shabhil Haris to Vivekp V

#28 - 02/27/2024 03:56 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI CHANGES

1) Grid Apply Grouping "Service" wise
2) Load Service (Only Grouping Type = Service)
3) Hide/Comment Service Group Selectbox widget, Comment in Stored Procedure too, table

#29 - 02/29/2024 08:02 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

05/04/2025 3/5



GUI CHANGES DONE

1) Grid Apply Grouping "Service" wise
2) Load Service (Only Grouping Type = Service)
3) Hide/Comment Service Group Selectbox widget, Comment in Stored Procedure too, table

#30 - 04/04/2024 11:11 AM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR DATA ON FOCUS OUT WHILE ADDING INVALID SEVICES IN SERVICE FIELD
#31 - 04/04/2024 06:47 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.CLEAR DATA ON FOCUS OUT WHILE ADDING INVALID SEVICES IN SERVICE FIELD
#32 - 10/28/2024 12:06 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.Add an expand/collapse button in the grid.
2.When multiple ancillary services are added under a service the second service background color is different

#33 - 10/29/2024 09:43 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Add an expand/collapse button in the grid.
2.When multiple ancillary services are added under a service the second service background color is different: thats grids alternate color scheme

#34 - 11/15/2024 01:09 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#35 - 12/13/2024 11:58 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND-- changes to be done through all modules

1. Can delete, print data while the privileges are off the logged in user.
--- view data ask anil sir

#36 - 12/16/2024 10:46 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 12/16/2024 05:26 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
Files

1-CsModel.cs
2-tsModel.ts
3-CsFile.cs
4-CsControllerFile.cs
5-TsFile.ts
6-HtmlFile.html

sql.sql
